/**
 * ParticipationVerifier.java
 *
 * File generated from the medication::ParticipationVerifier uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration ParticipationVerifier.
 *
 * 
 */

@XmlType(name = "ParticipationVerifier")
@XmlEnum
@XmlRootElement(name = "ParticipationVerifier")
public enum ParticipationVerifier {
	@XmlEnumValue("VRF")
	VRF("VRF"),
	@XmlEnumValue("AUTHEN")
	AUTHEN("AUTHEN"),
	@XmlEnumValue("LA")
	LA("LA");
	
	private final String value;

    ParticipationVerifier(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }

    public static ParticipationVerifier fromValue(String v) {
        for (ParticipationVerifier c: ParticipationVerifier.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}